using System;
using System.Collections.Generic;
using TheGameExtreme.model.card;
using TheGameExtreme.model.card.cardType;
using TheGameExtreme.model.deck;

namespace TheGameExtreme.model.piles
{
    public class ClassicPiles : Piles
    {

        public ClassicPiles(int nbPile) : base(nbPile)
        {
            for (int i = 0; i < nbPile; i++)
            {
                if (i < (nbPile * 0.5))
                {
                    ListOrderedStacks[i].Push(new ClassicCard(1));
                }
                else
                {
                    ListOrderedStacks[i].Push(new ClassicCard(100));
                }
            }
        }
    }
}
